> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query unexecuted(active) conditional orders



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/orders/conditional
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/orders/conditional:
    post:
      tags:
        - Collateral Trading
      summary: Query unexecuted(active) conditional orders
      description: |
        The endpoint retrieves active conditional orders.

        <Warning>
        Rate limit: 12000 requests/10 sec.
        </Warning>
      operationId: getConditionalOrders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                market:
                  type: string
                  example: BTC_USDT
                offset:
                  type: integer
                  default: 0
                  example: 0
                limit:
                  type: integer
                  default: 50
                  example: 100
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
            example:
              market: BTC_USDT
              offset: 0
              limit: 100
      responses:
        '200':
          description: >-
            Successful response - returns paginated conditional orders (OCO and
            OTO types)
          content:
            application/json:
              schema:
                type: object
                properties:
                  limit:
                    type: integer
                    description: Number of records per page
                    example: 100
                  offset:
                    type: integer
                    description: Number of records skipped
                    example: 0
                  total:
                    type: integer
                    description: Total number of records
                    example: 2
                  records:
                    type: array
                    description: Array of conditional orders (can be OCO or OTO type)
                    items:
                      oneOf:
                        - type: object
                          description: OCO type conditional order
                          properties:
                            id:
                              type: integer
                              example: 117703764513
                            type:
                              type: string
                              enum:
                                - oco
                              example: oco
                            stop_loss:
                              type: object
                              properties:
                                order_id:
                                  type: integer
                                  example: 117703764514
                                positionSide:
                                  type: string
                                  enum:
                                    - LONG
                                    - SHORT
                                    - BOTH
                                  example: LONG
                            take_profit:
                              type: object
                              properties:
                                order_id:
                                  type: integer
                                  example: 117703764515
                                positionSide:
                                  type: string
                                  enum:
                                    - LONG
                                    - SHORT
                                    - BOTH
                                  example: LONG
                        - type: object
                          description: OTO type conditional order
                          properties:
                            id:
                              type: integer
                              example: 29457221
                            type:
                              type: string
                              enum:
                                - oto
                              example: oto
                            stopLossPrice:
                              type: string
                              example: '30000'
                            takeProfitPrice:
                              type: string
                              example: '50000'
                            conditionalOrder:
                              type: object
                              properties:
                                order_id:
                                  type: integer
                                  example: 3686033640
                                client_order_id:
                                  type: string
                                  example: customId11
                                market:
                                  type: string
                                  example: BTC_USDT
                                positionSide:
                                  type: string
                                  enum:
                                    - LONG
                                    - SHORT
                                    - BOTH
                                  example: LONG
              example:
                limit: 100
                offset: 0
                total: 2
                records:
                  - id: 117703764513
                    type: oco
                    stop_loss:
                      order_id: 117703764514
                      client_order_id: ''
                      market: BTC_USDT
                      side: buy
                      type: stop limit
                      timestamp: 1594605801.49815
                      deal_money: '0'
                      deal_stock: '0'
                      amount: '2.241379'
                      takerFee: '0.001'
                      makerFee: '0.001'
                      left: '2.241379'
                      deal_fee: '0'
                      post_only: false
                      mtime: 1662478154.941582
                      price: '19928.79'
                      activation_price: '29928.79'
                      activation_condition: gte
                      activated: 0
                      status: FILLED
                      stp: 'no'
                      positionSide: LONG
                    take_profit:
                      order_id: 117703764515
                      client_order_id: ''
                      market: BTC_USDT
                      side: buy
                      type: limit
                      timestamp: 1662478154.941582
                      deal_money: '0'
                      deal_stock: '0'
                      amount: '0.635709'
                      takerFee: '0.001'
                      makerFee: '0.001'
                      left: '0.635709'
                      deal_fee: '0'
                      post_only: false
                      mtime: 1662478154.941582
                      price: '9928.79'
                      status: FILLED
                      stp: 'no'
                      positionSide: LONG
                  - id: 29457221
                    type: oto
                    stopLossPrice: '30000'
                    takeProfitPrice: '50000'
                    conditionalOrder:
                      order_id: 3686033640
                      client_order_id: customId11
                      market: BTC_USDT
                      side: buy
                      type: limit
                      timestamp: 1594605801.49815
                      deal_money: '0'
                      deal_stock: '0'
                      amount: '2.241379'
                      takerFee: '0.001'
                      makerFee: '0.001'
                      left: '2.241379'
                      deal_fee: '0'
                      price: '40000'
                      status: FILLED
                      stp: 'no'
                      positionSide: LONG
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````